Skip to main content
PATCH
/
api
/
v2
/
oauth
/
clients
/
{clientId}
Patch client by ID
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/oauth/clients/{clientId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/name",
    "value": "Example Client V2"
  }
]
'
{
  "_links": {
    "parent": {
      "href": "/api/v2/oauth/clients",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/oauth/clients/50666563-9144-4125-b822-33f308227e45",
      "type": "application/json"
    }
  },
  "name": "<string>",
  "_accountId": "<string>",
  "_clientId": "<string>",
  "redirectUri": "<string>",
  "_creationDate": "1494437420312",
  "description": "<string>",
  "_clientSecret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

clientId
string<string>
required

The client ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

OAuth 2.0 client response

The location and content type of related resources

Example:
{
"parent": {
"href": "/api/v2/oauth/clients",
"type": "application/json"
},
"self": {
"href": "/api/v2/oauth/clients/50666563-9144-4125-b822-33f308227e45",
"type": "application/json"
}
}
name
string
required

Client name

_accountId
string
required

The account ID the client is registered under

_clientId
string
required

The client's unique ID

redirectUri
string
required

The client's redirect URI

_creationDate
integer<int64>
required

Timestamp of client creation date

Example:

"1494437420312"

description
string

Client description

_clientSecret
string

The client secret. This will only be shown upon creation.